# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/faker-4.0.3-python_3.7-on-linux_canary, last modified Sun May  3 02:58:29 2020
# ------------------------------------------------

package:
    name: faker
    version: 4.0.3
source:
    sha256: 7292806948ed848f1bcea1e7b963bae6f398687d1da0ea096e156fea2787f454
    url: https://pypi.org/packages/source/F/Faker/Faker-4.0.3.tar.gz
build:
    entry_points:
        - faker = faker.cli:execute_from_command_line
    number: '0'
    script: /tmp/build/80754af9/faker_1588474913923/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
    string: py37_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - attrs 19.3.0 py_0
        - ca-certificates 2020.1.1 0
        - certifi 2020.4.5.1 py37_0
        - importlib_metadata 1.5.0 py37_0
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - more-itertools 8.2.0 py_0
        - ncurses 6.2 he6710b0_1
        - openssl 1.1.1g h7b6447c_0
        - packaging 20.3 py_0
        - pip 20.0.2 py37_1
        - pluggy 0.13.1 py37_0
        - py 1.8.1 py_0
        - pyparsing 2.4.7 py_0
        - pytest 5.4.1 py37_0
        - pytest-runner 5.2 py_0
        - python 3.7.7 hcf32534_0_cpython
        - readline 8.0 h7b6447c_0
        - setuptools 46.1.3 py37_0
        - six 1.14.0 py37_0
        - sqlite 3.31.1 h62c20be_1
        - tk 8.6.8 hbc83047_0
        - wcwidth 0.1.9 py_0
        - wheel 0.34.2 py37_0
        - xz 5.2.5 h7b6447c_0
        - zipp 3.1.0 py_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - python >=3.7,<3.8.0a0
        - python-dateutil >=2.4
        - six >=1.10
        - text-unidecode ==1.2
test:
    commands:
        - PYTHONIOENCODING=utf8 faker --help
    files:
        - run_test.py
    imports:
        - faker
        - faker.providers
        - faker.utils
about:
    dev_url: https://github.com/joke2k/faker
    doc_url: https://faker.readthedocs.io
    home: https://faker.readthedocs.io
    license: MIT
    license_family: MIT
    license_file: LICENSE.txt
    summary: Faker is a Python package that generates fake data for you
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - ocefpaf
        - pmlandwehr
